Bug 206901 - Hangs when initiating TCP/network connection(s).
Hangs when initiating TCP/network connection(s).
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
: 206902 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 20:26 EDT by Hesty
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5smp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 18:01:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hesty 2006-09-17 20:26:57 EDT
Description of problem:


Version-Release number of selected component (if applicable):
kernel-smp.i686                          2.6.17-1.2187_FC5

How reproducible:
Almost always.

Steps to Reproduce:
1. Initiate a number of outbound connections. E.g. Open firefox, go to
www.directcanada.com, or start azureus with a number of active torrents.
  
Actual results:
The whole computer hangs.

Expected results:
Everything should behave smoothly.

Additional info:
Tested with older kernel kernel-smp.i686 2.6.17-1.2174_FC5 and those things
don't happen. The only other newly installed package that might have done this
is the ati fglrx driver although I doubt the ati driver causes the whole
computer to hang (usually just X and can be killed using Ctrl-Alt-Backspace).
Comment 1 Johan Kok 2006-09-18 12:26:25 EDT
*** Bug 206902 has been marked as a duplicate of this bug. ***
Comment 2 Jan ONDREJ 2006-09-19 10:40:09 EDT
Same problem on my computer, but works without problem on collegaue's computer.
I can tell, that I am not using fglrx driver, only standard radeon driver
(without 3D support).

It hangs on incomming connections too, but not all connenction hangs my
computer. I can't connect from home to work computer, but I can connect from one
server to work. Computer hangs after initializing for example ssh/tcp or
smtp/tcp connection.

With my collegaue we have nearly same hardware, but I can't kill it's computer. :-)
I think, it is a software problem. May be some iptables rules or selinux rules?
Comment 3 Hesty 2006-09-21 03:58:33 EDT
Probably related to the forcedeth driver. I think it's the same as bug 206744.
Comment 4 Dave Jones 2006-10-16 15:41:46 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Hesty 2006-10-19 18:01:36 EDT
I've not seen this happening with 2.6.18-1.2200.fc5smp kernel. I think it's safe
to close this bug.

Note You need to log in before you can comment on or make changes to this bug.